Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.util.statemachine
Class StateMachine.FinishState

    java.lang.Object
      tle.framework.util.statemachine.State
          tle.framework.util.statemachine.StateMachine.FinishState

Enclosing class:
  StateMachine

    public static class StateMachine.FinishState

extends State

종료 상태를 나타내는 클래스

Since:
  2.0
Author:
  최범균

Constructor Summary
`StateMachine.FinishState()` 상태 이름을 "FINISH"로 지정
`StateMachine.FinishState(java.lang.String finalName)`

Method Summary
`void` | `addEvent(java.lang.String event, State state)` 마지막 상태이므로 이벤트 추가가 불가능하므로 UnsupportedOperationException을 발생시킨다.
`State` | `transit(java.lang.String event)` 마지막 상태에서는 더 이상 전이가 불가능하므로 IllegalStateException을 발생시킨다.

Methods inherited from class tle.framework.util.statemachine.State
`getStateName, getStateValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateMachine.FinishState

    public StateMachine.FinishState(java.lang.String finalName)

### StateMachine.FinishState

    public StateMachine.FinishState()

  상태 이름을 "FINISH"로 지정

Method Detail

### addEvent

    public void addEvent(java.lang.String event,
                         State state)

  마지막 상태이므로 이벤트 추가가 불가능하므로 UnsupportedOperationException을 발생시킨다.

  Overrides:
    `addEvent` in class `State`
  Parameters:
    `event` - 이벤트
    `state` - 이동할 상태
  Throws:
    `java.lang.UnsupportedOperationException`
  See Also:
    `State.addEvent(java.lang.String, tle.framework.util.statemachine.State)`

### transit

    public State transit(java.lang.String event)

  마지막 상태에서는 더 이상 전이가 불가능하므로 IllegalStateException을 발생시킨다.

  Overrides:
    `transit` in class `State`
  Returns:
    이벤트 발생 후 이동할 State
  Throws:
    `java.lang.IllegalStateException`
  See Also:
    `State.transit(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD